<template>
    <div class="siteHeader">
        <div class="siteHeader__section">
            <router-link class="brand" :to="{ name: 'Home'}">hotmilk</router-link>
        </div>
        <div class="siteHeader__section">
            <router-link class="nav" :to="{ name: 'Home'}">Home</router-link>
            <router-link class="nav" :to="{ name: 'Readme'}">Über mich</router-link>
            <router-link class="nav" :to="{ name: 'Downloads'}">Downloads</router-link>
            <!-- <router-link class="nav" :to="{ name: 'Charts'}">Charts</router-link> -->
        </div>
    </div>
</template>

<style scoped>
.siteHeader {
  /**
   * Lay out the children of this container with
   * flexbox, which is horizontal by default.
   */
  display: flex;

  /**
   * Make the container put as much space as possible
   * between its children, with the children at either
   * end laying flush against the container's edges.
   */
  justify-content: space-between;

  padding: 10px;
}

 .siteHeader__section {
    /**
     * Lay out the children of this container with
     * flexbox.
     */
    display: flex;

    /**
     * Align the children in the center, along
     * the main axis. By default the children will
     * align along their top edges.
     */
    align-items: center;
  }

.nav {
    padding: 10px;
}

.brand {
    font-weight: bold;
}
</style>